6.0.0-git
2019-03-19

[#11320] Traditional view: "View thread" action broken
Summary Traditional view: "View thread" action broken
Queue IMP
Queue Version 6.0.0beta4
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-28 (2425 days ago)
Due
Updated 2012-10-27 (2334 days ago)
Assigned 2012-10-16 (2345 days ago)
Resolved 2012-10-16 (2345 days ago)
Milestone
Patch No

History
2012-10-27 00:55:34 Git Commit Comment #20 Reply to this comment
Changes have been made in Git (develop):

commit 7a7bc77783fab891da0d76836a72d3fa7e4d5b65
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Oct 16 02:43:57 2012 -0600

     Bug #11320: Fix delete thread link

  imp/thread.php |    9 +++++----
  1 files changed, 5 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/7a7bc77783fab891da0d76836a72d3fa7e4d5b65
2012-10-27 00:55:00 Git Commit Comment #19 Reply to this comment
Changes have been made in Git (develop):

commit 24c9c470cf8e76d2fca6d6a6b75f25313d35d0f2
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 15 14:09:43 2012 -0600

     Bug #11320: Refactor thread retrieval so object can always be 
retrieved on-demand

  imp/lib/Ajax/Application/ListMessages.php |    2 +-
  imp/lib/Mailbox/List.php                  |   68 
+++++++++++++++--------------
  imp/mailbox.php                           |    2 +-
  imp/thread.php                            |    2 +-
  4 files changed, 38 insertions(+), 36 deletions(-)

http://git.horde.org/horde-git/-/commit/24c9c470cf8e76d2fca6d6a6b75f25313d35d0f2
2012-10-16 12:25:07 Thomas Jarosch Comment #18 Reply to this comment
Yeah, no more error messages.

2012-10-16 08:45:03 Git Commit Comment #17 Reply to this comment
Changes have been made in Git (master):

commit 7a7bc77783fab891da0d76836a72d3fa7e4d5b65
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Oct 16 02:43:57 2012 -0600

     Bug #11320: Fix delete thread link

  imp/thread.php |    9 +++++----
  1 files changed, 5 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/7a7bc77783fab891da0d76836a72d3fa7e4d5b65
2012-10-16 08:44:58 Michael Slusarz State ⇒ Resolved
 
2012-10-16 08:08:20 Thomas Jarosch Comment #16
State ⇒ Assigned
Reply to this comment
Yieee, one error still left:

2012-10-16T10:06:24+02:00 WARN: HORDE [imp] PHP ERROR: Invalid 
argument supplied for foreach() [pid 30573 on line 160 of 
"/datastore/DEVEL/horde/imp/thread.php"]

2012-10-15 21:09:10 Michael Slusarz State ⇒ Resolved
 
2012-10-15 21:07:09 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit 24c9c470cf8e76d2fca6d6a6b75f25313d35d0f2
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 15 14:09:43 2012 -0600

     Bug #11320: Refactor thread retrieval so object can always be 
retrieved on-demand

  imp/lib/Ajax/Application/ListMessages.php |    2 +-
  imp/lib/Mailbox/List.php                  |   68 
+++++++++++++++--------------
  imp/mailbox.php                           |    2 +-
  imp/thread.php                            |    2 +-
  4 files changed, 38 insertions(+), 36 deletions(-)

http://git.horde.org/horde-git/-/commit/24c9c470cf8e76d2fca6d6a6b75f25313d35d0f2
2012-10-15 20:47:11 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (develop):

commit e3e3a9a6ebf4d92c78cb0a82a5d1b7c3b64f5213
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Oct 14 20:52:02 2012 -0600

     [mms] Fix thread view when mailbox is not thread sorted (Bug #11320).

  imp/docs/CHANGES         |    1 +
  imp/lib/Mailbox/List.php |   18 +++++++++++++++---
  imp/package.xml          |    2 ++
  3 files changed, 18 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/e3e3a9a6ebf4d92c78cb0a82a5d1b7c3b64f5213
2012-10-15 09:14:24 Thomas Jarosch Comment #13
State ⇒ Assigned
Reply to this comment
Figured it out: it wasn't working if the mailbox wasn't thread 
sorted.  Fixed.
It works way better now, the thread display mode properly renders.

Still I get these in the logs:

2012-10-15T11:12:39+02:00 NOTICE: HORDE [imp] PHP ERROR: Undefined 
index: t [pid 3081 on line 136 of 
"/datastore/DEVEL/horde/imp/thread.php"]
2012-10-15T11:12:39+02:00 NOTICE: HORDE [imp] PHP ERROR: Trying to get 
property of non-object [pid 3081 on line 136 of 
"/datastore/DEVEL/horde/imp/thread.php"]
2012-10-15T11:12:39+02:00 NOTICE: HORDE [imp] PHP ERROR: Undefined 
variable: thread [pid 3081 on line 160 of 
"/datastore/DEVEL/horde/imp/thread.php"]
2012-10-15T11:12:39+02:00 WARN: HORDE [imp] PHP ERROR: Invalid 
argument supplied for foreach() [pid 3081 on line 160 of 
"/datastore/DEVEL/horde/imp/thread.php"]

2012-10-15 02:52:45 Michael Slusarz Comment #12
Assigned to Michael Slusarz
Taken from Jan Schneider
State ⇒ Resolved
Version ⇒ 6.0.0beta4
Reply to this comment
Figured it out: it wasn't working if the mailbox wasn't thread sorted.  Fixed.
2012-10-15 02:52:17 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit e3e3a9a6ebf4d92c78cb0a82a5d1b7c3b64f5213
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Oct 14 20:52:02 2012 -0600

     [mms] Fix thread view when mailbox is not thread sorted (Bug #11320).

  imp/docs/CHANGES         |    1 +
  imp/lib/Mailbox/List.php |   18 +++++++++++++++---
  imp/package.xml          |    2 ++
  3 files changed, 18 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/e3e3a9a6ebf4d92c78cb0a82a5d1b7c3b64f5213
2012-10-13 14:11:48 Thomas Jarosch Comment #10 Reply to this comment
For the record:

The "[thread]" link next to the "Subject" column in the folder 
overview works on my installation.
It's just the "View thread" button when you view a particular message.

The crash message changed a bit:

==> /tmp/horde.log <==
2012-10-13T16:09:37+02:00 NOTICE: HORDE [imp] PHP ERROR: Undefined 
index: INBOX [pid 4940 on line 686 of 
"/datastore/DEVEL/horde/imp/lib/Mailbox/List.php"]

==> /var/log/httpd/error.log <==
[Sat Oct 13 16:09:37 2012] [error] [client 192.168.122.1] PHP Fatal 
error:  Call to a member function getThread() on a non-object in 
/datastore/DEVEL/horde/imp/lib/Mailbox/List.php on line 686, referer: 
https://192.168.122.254/horde/imp/message.php?mailbox=SU5CT1g&uid=46

2012-10-10 07:10:08 Michael Slusarz State ⇒ Not A Bug
 
2012-09-26 16:18:30 Jan Schneider Comment #9
State ⇒ Stalled
Reply to this comment
@Jan: Does it work on your Intranator installation?
Yes, works fine.
2012-09-25 07:39:00 Thomas Jarosch Assigned to Jan Schneider
State ⇒ Assigned
 
2012-09-25 07:38:37 Thomas Jarosch Comment #8 Reply to this comment
This is from sorting, not thread sorting.

I still can't reproduce, and nobody else is reporting this behavior. 
  Unless you can track down locally, this ticket will be closed (or 
stalled).
Alright.

@Jan: Does it work on your Intranator installation?
If yes, we're going to stall the ticket and just disable the feature 
in the UI for our installation.

Thomas

2012-09-25 06:21:01 Michael Slusarz Comment #7
Taken from Michael Slusarz
Reply to this comment
5 UID SORT (FROM) US-ASCII ALL
* SORT 29 34 36 31 32 33
5 OK Completed (6 msgs in 0.000 secs)
This is from sorting, not thread sorting.

I still can't reproduce, and nobody else is reporting this behavior.   
Unless you can track down locally, this ticket will be closed (or 
stalled).
2012-09-14 09:13:50 Thomas Jarosch Comment #6 Reply to this comment
Nope.  Works perfectly here.  You will need to debug.
Jan told me the threading is done on the IMAP server side. So I 
captured the packets from the moment I clicked on "View Thread" and 
cleared all horde caches before.

Here's the packet dump from my test box:
* OK [CAPABILITY IMAP4 IMAP4rev1 LITERAL+ ID STARTTLS AUTH=LOGIN 
AUTH=DIGEST-MD5 AUTH=PLAIN AUTH=CRAM-MD5 SASL-IR COMPRESS=DEFLATE] 
intranator.net.lan server ready
1 AUTHENTICATE DIGEST-MD5

bm9uY2U9ImxDSDlmVjVJZDhvZ3d6VHB6SzBnQTJleklLaGlHMHBYUXg0d21LZGszbk09IixyZWFsbT0iaW50cmFuYXRvci5uZXQubGFuIixxb3A9ImF1dGgsYXV0aC1pbnQsYXV0aC1jb25mIixjaXBoZXI9InJjNC00MCxyYzQtNTYscmM0LGRlcywzZGVzIixtYXhidWY9NDA5NixjaGFyc2V0PXV0Zi04LGFsZ29yaXRobT1tZDUtc2Vzcw==
Y25vbmNlPSIrZTluVENtL05qNVdXek5NaGRpVzMvc3pLbHFKcjBJQzRCSzIwNHMyQkRFPSIsZGlnZXN0LXVyaT0iaW1hcC8xOTIuMTY4LjEyMi4yNTQiLG1heGJ1Zj00MDk2LG5jPTAwMDAwMDAxLG5vbmNlPSJsQ0g5ZlY1SWQ4b2d3elRwekswZ0EyZXpJS2hpRzBwWFF4NHdtS2RrM25NPSIscW9wPWF1dGgscmVzcG9uc2U9YmM4Y2Q0MGRlOWVkZDllZWU0NjI3MDMyYTc3ZTM1NzksdXNlcm5hbWU9ImFkbWluIixyZWFsbT0iaW50cmFuYXRvci5uZXQubGFuIg==
+ cnNwYXV0aD0wNTA4NjJiN2JmNDk0NDQ5ZTk1ZjIxYTE2Y2I4MTQwMw==

1 OK [CAPABILITY IMAP4 IMAP4rev1 LITERAL+ ID LOGINDISABLED 
COMPRESS=DEFLATE ACL RIGHTS=kxte QUOTA MAILBOX-REFERRALS NAMESPACE 
UIDPLUS NO_ATOMIC_RENAME UNSELECT CHILDREN MULTIAPPEND BINARY SORT 
SORT=MODSEQ THREAD=ORDEREDSUBJECT THREAD=REFERENCES ANNOTATEMORE 
CATENATE CONDSTORE SCAN IDLE LISTEXT LIST-SUBSCRIBED X-NETSCAPE 
URLAUTH] Success (no protection)
2 STATUS INBOX (MESSAGES UIDNEXT UIDVALIDITY)
* STATUS INBOX (MESSAGES 6 UIDNEXT 37 UIDVALIDITY 1337952502)
2 OK Completed
3 STATUS INBOX (MESSAGES UIDNEXT UIDVALIDITY)
* STATUS INBOX (MESSAGES 6 UIDNEXT 37 UIDVALIDITY 1337952502)
3 OK Completed
4 EXAMINE INBOX
* FLAGS (\Answered \Flagged \Draft \Deleted \Seen $forwarded)
* OK [PERMANENTFLAGS ()]
* 6 EXISTS
* 0 RECENT
* OK [UIDVALIDITY 1337952502]
* OK [UIDNEXT 37]
* OK [NOMODSEQ] Sorry, modsequences have not been enabled on this mailbox
* OK [URLMECH INTERNAL]
4 OK [READ-ONLY] Completed
5 UID SORT (FROM) US-ASCII ALL
* SORT 29 34 36 31 32 33
5 OK Completed (6 msgs in 0.000 secs)


-> The server seems to support threading in the capabilities but I 
don't see any special IMAP command asking for the threading?

2012-08-29 12:45:57 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 7186dac51232e101df87be406510066d522b57fa
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jul 30 14:54:56 2012 -0600

     Bug #11320: Fix function typo

  imp/lib/Mailbox/List.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/7186dac51232e101df87be406510066d522b57fa
2012-08-13 22:40:09 Michael Slusarz Comment #4
State ⇒ Feedback
Reply to this comment
This is a single, random message. Maybe the thread code doesn't 
build up the structure if there is only one message?
Nope.  Works perfectly here.  You will need to debug.
2012-08-11 16:33:04 Thomas Jarosch Comment #3
State ⇒ Assigned
Reply to this comment
Still getting this:

2012-08-11T18:25:14+02:00 NOTICE: HORDE [imp] PHP ERROR: Undefined 
index: INBOX [pid 23958 on line 686 of 
"/datastore/DEVEL/horde/imp/lib/Mailbox/List.php"]

Again I've verified that the git changes are really there.

I've added debug code to "imp/lib/Mailbox/List.php" and $this->_thread 
is an empty array after the $this->rebuild() call.

This is a single, random message. Maybe the thread code doesn't build 
up the structure if there is only one message?

2012-07-30 22:22:14 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2012-07-30 22:17:41 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit 7186dac51232e101df87be406510066d522b57fa
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jul 30 14:54:56 2012 -0600

     Bug #11320: Fix function typo

  imp/lib/Mailbox/List.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/7186dac51232e101df87be406510066d522b57fa
2012-07-28 15:05:30 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Traditional view: "View thread" action broken
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

using the traditional IMP view, click on a message and then click on 
"View thread".

It will result in a white screen of death and this error message in the logs:

2012-07-28T17:03:29+02:00 NOTICE: HORDE [imp] PHP ERROR: Undefined 
index: INBOX/foobar [pid 18862 on line 686 of 
"/datastore/DEVEL/horde/imp/lib/Mailbox/List.php"

Thomas

Saved Queries